if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SP_CITY_Exists]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SP_CITY_Exists]
GO

/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：CITY
'' 文件描述：存储过程文件 判断 CITY （城市） 表中记录是否存在
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-01-14 12:12:25
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.5
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/

CREATE PROCEDURE dbo.SP_CITY_Exists

    @CITY_ID int
AS
    DECLARE @iCount int
    SELECT @iCount = count(*) FROM [CITY] WHERE [CITY_ID] = @CITY_ID
    IF @iCount > 0
        Set @iCount = 1

    RETURN @iCount
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SP_CITY_Add]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SP_CITY_ADD]
GO

/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：CITY
'' 文件描述：存储过程文件 向 CITY （城市） 表中新增一条记录
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-01-14 12:12:25
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.5
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/
CREATE PROCEDURE SP_CITY_Add
    --需保存字段信息的值

    @PROVINCE_ID int,
    @CITY_CN nvarchar(50),
    @CITY_EN nvarchar(100),
    @CITY_AREA_CODE int
AS
BEGIN TRANSACTION
BEGIN
    INSERT INTO [CITY]
    ([PROVINCE_ID], [CITY_CN], [CITY_EN], [CITY_AREA_CODE])
    VALUES
    (@PROVINCE_ID, @CITY_CN, @CITY_EN, @CITY_AREA_CODE)
END
COMMIT TRANSACTION
IF @@TRANCOUNT > 0 ROLLBACK TRAN
RETURN
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SP_CITY_Update]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SP_CITY_Update]
GO

/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：CITY
'' 文件描述：存储过程文件 更新 CITY （城市） 表中的一条记录
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-01-14 12:12:25
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.5
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/
CREATE PROCEDURE SP_CITY_Update

    @CITY_ID int,
    @PROVINCE_ID int,
    @CITY_CN nvarchar(50),
    @CITY_EN nvarchar(100),
    @CITY_AREA_CODE int
AS
BEGIN TRANSACTION
BEGIN
    UPDATE [CITY] SET 
    [PROVINCE_ID] = @PROVINCE_ID,
    [CITY_CN] = @CITY_CN,
    [CITY_EN] = @CITY_EN,
    [CITY_AREA_CODE] = @CITY_AREA_CODE
    WHERE ([CITY_ID] = @CITY_ID)
END
COMMIT TRANSACTION
IF @@TRANCOUNT > 0 ROLLBACK TRAN
RETURN
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SP_CITY_Delete]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SP_CITY_Delete]
GO

/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：CITY
'' 文件描述：存储过程文件 删除 CITY （城市） 表中的一条记录
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-01-14 12:12:25
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.5
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/
CREATE PROCEDURE SP_CITY_Delete

    @CITY_ID int
AS
BEGIN TRANSACTION
BEGIN
    DELETE FROM [CITY]
    WHERE [CITY_ID] = @CITY_ID
END
COMMIT TRANSACTION
IF @@TRANCOUNT > 0 ROLLBACK TRAN
RETURN
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SP_CITY_GetModel]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SP_CITY_GetModel]
GO
/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：CITY
'' 文件描述：存储过程文件 返回 CITY （城市） 表中一条记录的详细信息，以建立实体对象
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-01-14 12:12:25
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.5
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/
CREATE PROCEDURE SP_CITY_GetModel

    @CITY_ID int
AS
BEGIN
    SELECT 
    CITY_ID,PROVINCE_ID,CITY_CN,CITY_EN,CITY_AREA_CODE
    FROM [CITY]
    WHERE [CITY_ID] = @CITY_ID
END
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SP_CITY_GetList]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[SP_CITY_GetList]
GO
/*
'' ============================================================================================
'' 项目名称：风越项目范例ASPX普通三层结构
'' 项目版本：V1.0
'' 项目描述：风越项目范例，用于建立ASPX普通三层结构
'' 文件名称：CITY
'' 文件描述：存储过程文件 返回 CITY （城市） 表中的全部记录信息
'' 公司名称：中极网盛
'' 开发人员：刘怒
'' 创建日期：2008-12-25 20:23:50
'' 修订日期：2009-01-14 12:12:25
'' 版权信息：Copyright (C) 2008

'' 项目升级时需读取以下生成工具的版权信息
'' 生成工具：风越代码生成器 [FireCode Creator]
'' 当前版本：通用版 V1.5
'' 官方网站：http://www.sino8848.com
'' ============================================================================================
*/
CREATE PROCEDURE SP_CITY_GetList
AS
BEGIN
    SELECT 
    CITY_ID,PROVINCE_ID,CITY_CN,CITY_EN,CITY_AREA_CODE
    FROM [CITY]
END
GO
